﻿using System;
using System.IO.Ports;

namespace PDF417EAN
{
    public static class UtilsScannerBarcode
    {
        private static readonly SerialPort Port = new SerialPort();

        public static bool ConnectScanner(SerialDataReceivedEventHandler setText, string comPortName)
        {
            if (Port.IsOpen) Port.Close();

            Port.PortName = comPortName;

            if (string.IsNullOrEmpty(Port.PortName))
            {
                return false;
            }

            try
            {
                Port.Open();
                Port.DataReceived += setText;
            }
            catch (Exception ex)
            {
                Log.Add(ex.Message, ex.StackTrace);
                return false;
            }
            return true;
        }

        public static string ReadExisting()
        {
            return Port.ReadExisting();
        }

        public static void CloseScanner()
        {
            if (Port.IsOpen)
            {
                Port.Close();
            }
        }

    }
}
